Name:           perl-Crypt-SSLeay
Version:        0.73_07
Release:        1%{?dist}
Summary:        OpenSSL support for LWP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-SSLeay/
Source0:        http://www.cpan.org/authors/id/N/NA/NANIS/Crypt-SSLeay-%{version}.tar.gz
# Patch0:		Crypt-SSLeay-0.72-inc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.19
BuildRequires:  perl(Try::Tiny) >= 0.19
BuildRequires:	perl(ExtUtils::CBuilder) >= 0.280205
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Path::Class) >= 0.26
BuildRequires:	openssl-devel
BuildRequires:	perl(Bytes::Random::Secure)
Requires:       perl(LWP::Protocol::https) >= 6.02
Requires:	perl(MIME::Base64)
Requires:	perl(Bytes::Random::Secure)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(Crypt::SSLeay)
Provides:	perl(Net::SSL)

%description
This Perl module provides support for the HTTPS protocol under LWP, to
allow an LWP::UserAgent object to perform GET, HEAD, and POST requests
over encrypted socket connections. Please see LWP for more information on
POST requests.

%prep
%setup -q -n Crypt-SSLeay-master
# %%patch0 -p1 -b.inc

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.yml README.md TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt*
%{perl_vendorarch}/Net/SSL.pm
%{_mandir}/man3/*

%changelog
* Thu Apr 09 2020 Peter Ajamian <pj@ghettoforge.org> 0.72-1
- Specfile autogenerated by cpanspec 1.78.
